ByteChef LogoByteChef
OpenapiTables

Get a data table

Get a data table as it exists in the requested environment.

GET
/workspaces/{workspaceId}/data-tables/{name}

Path Parameters

workspaceId*integer

The id of a workspace.

Formatint64
name*string

The table name.

Header Parameters

X-Environment?string

The environment whose physical table is addressed. PRODUCTION when omitted.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/0/data-tables/string"
{  "id": 0,  "workspaceId": 0,  "name": "string",  "description": "string",  "columns": [    {      "name": "string",      "type": "STRING",      "link": {        "targetDataTableId": 0,        "onDelete": "BLOCK",        "displayColumnName": "string"      }    }  ],  "tags": [    "string"  ],  "lastModifiedDate": "2019-08-24T14:15:22Z"}

How is this guide?